<?php 
 class Application_Model_Form_UserLogin extends MyWeb_Form
{

    public function init()
    {
        $request = Zend_Controller_Front::getInstance()->getRequest();
        $translate = Zend_Registry::get('Zend_Translate');
        
        // nastaví atributy formuláře
        $this->setAction('');
        $this->setMethod("post");
        $this->setAttrib("id", "form_user_login");
        //nacteni config souboru s definovan7mi fomularovymi prvky
        $config = new Zend_Config_Ini(APPLICATION_PATH . "/forms/userLogin.ini");
        $this->setConfig($config);
        
        
        //***************************************************************************
        $element = $this->getElement('user_userName');
        $element->setLabel($translate->translate('Username'));
        //***************************************************************************
        $element = $this->getElement('user_passwd');
        $element->setLabel($translate->translate('Password'));
        //***************************************************************************
        
        // vytvoří formulářový prvek odesílací tlačítko
        $submitSubmit_login = 
        												new Zend_Form_Element_Submit(
        																	"submit_login",
        																	array("label" => $translate->translate('Login')));
        // přidá formulářové prvky do formuláře
        $this->addElements(array($submitSubmit_login));
    }


}
